package jp.sourceforge.cfneo.at4ie.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * パス編集用ユーティリティ。
 * @author imaitakafumi
 *
 */
public class PathUtil {

	/**
	 * 指定されたパスからファイル拡張子を抽出する。
	 * @param path
	 * @return
	 */
	public static String getFileExtension(String path) {
		if (path == null)
			return null;
		Pattern p = Pattern.compile("\\.[^\\\\\\.]*$");
		Matcher m = p.matcher(path);
		if (m.find() == false) {
			return null;
		}
		return m.group();
	}

}
